Bug 7223 - implementation of rename beyond filesystem boundaries is too limited
implementation of rename beyond filesystem boundaries is too limited
Status: RESOLVED WONTFIX
Product: Samba 3.5
Classification: Unclassified
Component: File services
3.5.0
All All
: P3 normal
: ---
Assigned To: Volker Lendecke
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-08 11:25 UTC by Björn Jacke
Modified: 2011-06-17 07:51 UTC (History)
0 users

See Also:
metze: review-


Attachments
patch for 3.5.0 (16.53 KB, patch)
2010-03-08 11:29 UTC, Björn Jacke
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Jacke 2010-03-08 11:25:48 UTC
- on huge files clients can timeout
- we lose ACLs and EA information

threrfore we should by default return NT_STATUS_NOT_SAME_DEVICE.

commits
583de7b582956d3bec7e875d88ef16b3b8ac6e53
0769a1833aff2057e7f6ab05713d7fd6886d6040
2f1fa4f8ca020c5d96bd3ac8706c54cd881aaa03
a4dc50ef1273259c53f96ee4aaaef917e8daeffe

address this problem. They make the old limited cross filesystem rename support an optional feature which can be enabled via the crossrename vfs module.
Comment 1 Björn Jacke 2010-03-08 11:29:10 UTC
Created attachment 5471 [details]
patch for 3.5.0
Comment 2 Stefan Metzmacher 2010-04-13 07:07:22 UTC
Comment on attachment 5471 [details]
patch for 3.5.0

I think the patch is fine, but I'm not sure we should change the behavior between 3.5.x release would cause trouble in existing setups which just blindly upgrade the package.
Comment 3 Stefan Metzmacher 2010-04-13 08:12:48 UTC
I think we should not backport the change
Comment 4 Björn Jacke 2010-04-13 08:32:57 UTC
for the records in case someone stumbles upon it: in 3.5.x we stay upstream with  correct cross-fs rename behaviour of subdirectories and at the same time broken EA+ACL lossy cross-fs renames of single files. This will only be fixed for the 3.6 series.
Comment 5 Jeremy Allison 2010-04-13 14:04:19 UTC
Comment on attachment 5471 [details]
patch for 3.5.0

+1 from me. I concur on making this 3.6.0 only.